package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "JenisKonsumsiSet_T")
@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })
public class JenisKonsumsiSet extends BaseTransaction {

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectStrukOrderFk")
	private StrukOrder strukOrder;

	@Column(name = "ObjectStrukOrderFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String strukOrderId;

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectJenisKonsumsiFk")
	private JenisKonsumsi jenisKonsumsi;

	@Column(name = "ObjectJenisKonsumsiFk", insertable = false, updatable = false, nullable = false)
	private Integer jenisKonsumsiId;

	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public StrukOrder getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrder strukOrder) {
		this.strukOrder = strukOrder;
	}

	public JenisKonsumsi getJenisKonsumsi() {
		return jenisKonsumsi;
	}

	public void setJenisKonsumsi(JenisKonsumsi jenisKonsumsi) {
		this.jenisKonsumsi = jenisKonsumsi;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

}
